// file: $isip/class/asr/MachineDatabase/madb_05.cc
// version: $Id: madb_05.cc 8434 2002-07-22 19:20:13Z alphonso $
//

// isip include files
//
#include "MachineDatabase.h"

// method: assign
//
// arguments:
//   MachineDatabase& arg: (input) MachineDatabase object
//
// return: logical error status
//
// this method assigns the input object top the current object
//
boolean MachineDatabase::assign(const MachineDatabase& arg_a) {

  // assign input object to the current object
  //
  name_d.assign(arg_a.name_d);
  database_d.assign(arg_a.database_d);
  
  // exit gracefully
  //
  return true;
}

// method: clear
//
// arguments:
//   Integral::CMODE cmode: (input) clear mode
//
// return: logical error status
//
// this method assigns the input object top the current object
//
boolean MachineDatabase::clear(Integral::CMODE cmode_a) {

  // clear the member data
  //
  name_d.clear(cmode_a);
  database_d.clear(cmode_a);
  
  // exit gracefully
  //
  return true;  
}

// method: eq
//
// arguments:
//   MachineDatabase& arg: (input) MachineDatabase object
//
// return: logical error status
//
// this method determines if the input object is equal to the current object
//
boolean MachineDatabase::eq(const MachineDatabase& arg_a) const {

  // check if the name is the same
  //  
  if(!name_d.eq(arg_a.name_d)) {
     return false;
  }  

  // check if the database is the same
  //  
  if(!database_d.eq(arg_a.database_d)) {
     return false;
  }

  // exit gracefully
  //
  return true;  
}




